
CoCoA-5 - Feature #453

Automatic conversion from INT (or RAT) to RINGELEM

03 Mar 2014 17:00 - John Abbott

Status: In Progress Start date: 03 Mar 2014

Priority: Normal Due date:  

Assignee:  % Done: 20%

Category:  Estimated time: 0.00 hour

Target version: CoCoA-5.?.? Spent time: 0.75 hour

Description

C5 does not allow computing GenRepr(1, I) because it wants a RINGELEM where I supplied the value 1 which has type INT.

I note that 1 IsIn I is accepted -- this is inconsistent!

I'm sure these comments apply to several other fns too.

Related issues:

Related to CoCoA-5 - Design #301: How to obtain an integer from a finite fiel... Closed 08 Feb 2013

Related to CoCoA-5 - Design #546: ideal wants LIST of RINGELEM Closed 05 May 2014

Related to CoCoA-5 - Design #549: Automatic conversion from RINGELEM to INT o... Closed 07 May 2014

History

#1 - 05 Mar 2014 16:12 - John Abbott

- Status changed from New to In Progress

- Target version set to CoCoA-5.0.9

- % Done changed from 0 to 20

Added code to handle the special cases of GenRepr(INT,IDEAL) and GenRepr(RAT,IDEAL)

Which other fns need similar treatment?

#2 - 25 Mar 2014 17:48 - John Abbott

- Target version changed from CoCoA-5.0.9 to CoCoA-5.1.0 Easter14

#3 - 04 Apr 2014 15:26 - John Abbott

- Target version changed from CoCoA-5.1.0 Easter14 to CoCoA-5.1.1 Seoul14

#4 - 02 Sep 2014 11:15 - John Abbott

- Target version changed from CoCoA-5.1.1 Seoul14 to CoCoA-5.?.?
